/* declaration des polices */
@font-face {
  font-family: "Kodchasan";
  src: url("../fonts/Kodchasan/Kodchasan-Regular-FgzuKd0.woff2")
    format("woff2");
  src: url("../fonts/Kodchasan/Kodchasan-Bold-u1LcJ7V.woff2")
    format("woff2");
    font-display: swap;
}

@font-face {
  font-family: "montserrat";
  src: url("../fonts/montserrat/Montserrat-Bold-DuwReOZ.woff2")
    format("woff2");
    font-display: swap;
}
@font-face {
  font-family: "montserrat";
  src: url("../fonts/montserrat/Montserrat-Regular-wlRIsn4.woff2")
    format("woff2");
    font-display: swap;
}
body {
  margin: auto 0px;
  background-color: #000111;
}

/* button top retour en haut */
/* remove the below if you don't want smooth scrolling */
html,
body {
  scroll-behavior: smooth;
}

#return {
  display: inline-flex;
  width: 100%;
  height: 70px;
  align-items: flex-end;
  flex-direction: row;
  justify-content: flex-end;
  position: sticky;
}
.top {
  --offset: -5000px;

  position: sticky;
  bottom: 20px;
  margin-right: 10px;
  place-self: end;
  margin-top: calc(100vh + var(--offset));
  z-index: 2;

  width: 60px;
  aspect-ratio: 1;
  /*background: #cbcbcb;*/
  border-radius: 10px;
  font-size: 0;
}
.top:before {
  content: "";
  position: absolute;
  inset: 30%;
  transform: translateY(20%) rotate(-45deg);
  border-top: 5px solid #c1191a;
  border-right: 5px solid #c1191a;
}

/* test mouse snow */
.snow {
  position: fixed;
  width: 8px;
  height: 8px;
  background-color: white;
  border-radius: 50%;
  pointer-events: none;
  animation: fall 3s linear infinite;
  z-index: 9;
  filter: blur(2px);
}

@keyframes fall {
  to {
    transform: translateY(100vh);
    opacity: 0;
  }
}

#mouse {
  height: auto;
  width: auto;
  z-index: 7;
  position: relative;
}
